<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\ItemCharacteristic;
use App\Models\User;

class ItemCharacteristicPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any ItemCharacteristic');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ItemCharacteristic $itemcharacteristic): bool
    {
        return $user->checkPermissionTo('view ItemCharacteristic');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create ItemCharacteristic');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ItemCharacteristic $itemcharacteristic): bool
    {
        return $user->checkPermissionTo('update ItemCharacteristic');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ItemCharacteristic $itemcharacteristic): bool
    {
        return $user->checkPermissionTo('delete ItemCharacteristic');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any ItemCharacteristic');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ItemCharacteristic $itemcharacteristic): bool
    {
        return $user->checkPermissionTo('restore ItemCharacteristic');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any ItemCharacteristic');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, ItemCharacteristic $itemcharacteristic): bool
    {
        return $user->checkPermissionTo('replicate ItemCharacteristic');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder ItemCharacteristic');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ItemCharacteristic $itemcharacteristic): bool
    {
        return $user->checkPermissionTo('force-delete ItemCharacteristic');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any ItemCharacteristic');
    }
}
